/*
**	SWISH++
**	stop_words.c
**
**	Copyright (C) 1998  Paul J. Lucas
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 2 of the License, or
**	(at your option) any later version.
** 
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
** 
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software
**	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

extern char const *const stop_word_table[] = {

	// A

	"about",
	"above",
	"according",
	"across",
	"actually",
	"adj",
	"after",
	"afterwards",
	"again",
	"against",
	"all",
	"almost",
	"alone",
	"along",
	"already",
	"alright", "allright",	// not real words, but common nonetheless
	"also",
	"although",
	"always",
	"among", "amongst",
	"and",
	"another",
	"any",
	"anyhow",
	"anyone",
	"anything",
	"anyway",
	"anywhere",
	"are", "aren", "aren't",
	"around",

	// B

	"bad",
	"became",
	"because",
	"become", "becomes", "becoming",
	"been",
	"before",
	"beforehand",
	"began",
	"begin", "beginning", "begins",
	"behind",
	"being",
	"below",
	"beside", "besides",
	"best",
	"better",
	"between",
	"beyond",
	"billion",
	"both",
	"but",

	// C

	"came",
	"can", "can't", "cannot",
	"caption", "captions",
	"come", "comes", "coming",
	"could", "couldn", "couldn't",

	// D

	"did", "didn", "didn't",
	"does", "doesn", "doesn't",
	"don", "don't",
	"down",
	"during",

	// E

	"each",
	"eight", "eighty",
	"either",
	"else",
	"elsewhere",
	"end", "ended", "ending", "ends",
	"enough",
	"etc",
	"even",
	"ever",
	"every",
	"everyone",
	"everything",
	"everywhere",
	"except",

	// F

	"far", "farther",
	"few", "fewer",
	"fifty",
	"first", "firstly",
	"five",
	"for",
	"former",
	"formerly",
	"forty",
	"found",
	"four",
	"from",
	"further",

	// G

	"good",
	"great", "greater", "greatest",

	// H

	"had",
	"half",
	"has", "hasn", "hasn't",
	"have", "haven", "haven't", "having",
	"hence",
	"her",
	"here",
	"hereafter",
	"hereby",
	"herein",
	"hereupon",
	"hers", "herself",
	"him", "himself",
	"his",
	"how",
	"however",
	"hundred", "hundreds",

	// I

	"i.e.",
	"inc",
	"indeed",
	"instead",
	"into",
	"isn", "isn't",
	"its",
	"itself",

	// J

	"just",

	// L

	"last",
	"later",
	"latter",
	"least",
	"less", "lesser",
	"let", "lets", "letting",
	"like", "liked", "likes",
	"likely",
	"likewise",
	"ltd",

	// M

	"made",
	"make", "makes", "making",
	"many",
	"may",
	"maybe",
	"meantime",
	"meanwhile",
	"might",
	"million",
	"miss",
	"more",
	"moreover",
	"most", "mostly",
	"mrs",
	"much",
	"must",
	"my",
	"myself",

	// N

	"namely",
	"neither",
	"never",
	"nevertheless",
	"next",
	"nine", "ninety",
	"nobody",
	"none",
	"nonetheless",
	"noone",
	"nor",
	"not",
	"nothing",
	"now",
	"nowhere",

	// O

	"off",
	"often",
	"once",
	"one",
	"only",
	"onto",
	"other", "others",
	"otherwise",
	"our", "ours", "ourselves",
	"out",
	"over",
	"overall",
	"own",

	// P

	"per",
	"perhaps",

	// R

	"rather",
	"really",
	"recent", "recently",

	// S

	"same",
	"saw",
	"see", "seen",
	"seem", "seemed", "seeming", "seems",
	"seven", "seventy",
	"several",
	"she",
	"should", "shouldn", "shouldn't",
	"since",
	"six", "sixty",
	"some",
	"somehow",
	"someone",
	"something",
	"sometime", "sometimes",
	"somewhere",
	"still",
	"stop",
	"such",

	// T

	"take", "taken", "taking",
	"ten",
	"than",
	"that",
	"the",
	"their",
	"them", "themselves",
	"then",
	"thence",
	"there",
	"thereafter",
	"thereby",
	"therefore",
	"therein",
	"thereupon",
	"these",
	"they",
	"thirty",
	"this",
	"thorough",
	"those",
	"though",
	"thousand", "thousands",
	"three",
	"through",
	"throughout",
	"thru",
	"thus", "thusly",
	"together",
	"too",
	"took",
	"toward",
	"towards",
	"trillion",
	"twenty",
	"two",

	// U

	"under",
	"unless",
	"unlike", "unlikely",
	"until",
	"upon",
	"us",
	"use", "used", "uses", "using",
	"usual", "usually",

	// V

	"varied", "various", "vary",
	"very",
	"via",

	// W

	"want",
	"was", "wasn",
	"way",
	"well",
	"were",
	"weren", "weren't",
	"what",
	"whatever",
	"when",
	"whence",
	"whenever",
	"where",
	"whereafter",
	"whereas",
	"whereby",
	"wherein",
	"whereupon",
	"wherever",
	"whether",
	"which",
	"while",
	"whither",
	"who", "whoever",
	"whole",
	"whom", "whomever",
	"whose",
	"why",
	"will",
	"with",
	"within",
	"without",
	"won",
	"won't",
	"worse",
	"would", "wouldn", "wouldn't",

	// Y

	"yes",
	"yet",
	"you", "your", "yours", "yourself", "yourselves",

	// Z

	"zero",

	0
};
